# Uses of Class
org.springframework.jdbc.core.PreparedStatementCreatorFactory

Packages that use PreparedStatementCreatorFactory
Package
Description
org.springframework.jdbc.core.namedparam
JdbcTemplate variant with named parameter support.

## Uses of PreparedStatementCreatorFactory in org.springframework.jdbc.core.namedparam

Methods in org.springframework.jdbc.core.namedparam that return PreparedStatementCreatorFactory
Modifier and Type
Method
Description
`protected PreparedStatementCreatorFactory`
NamedParameterJdbcTemplate.`getPreparedStatementCreatorFactory(ParsedSql parsedSql, SqlParameterSource paramSource)`
Build a `PreparedStatementCreatorFactory` based on the given SQL and named parameters.
Method parameters in org.springframework.jdbc.core.namedparam with type arguments of type PreparedStatementCreatorFactory
Modifier and Type
Method
Description
`protected PreparedStatementCreator`
NamedParameterJdbcTemplate.`getPreparedStatementCreator(String sql, SqlParameterSource paramSource, Consumer<PreparedStatementCreatorFactory> customizer)`
Build a `PreparedStatementCreator` based on the given SQL and named parameters.